osl::search::analyzer::DotWriter Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::search::analyzer::DotWriter Class Reference

探索ログ dot (www.graphviz.org) 用を書き出す. More...

`#include <dotWriter.h>`

Inheritance diagram for osl::search::analyzer::DotWriter:
[legend]
Collaboration diagram for osl::search::analyzer::DotWriter:
[legend]

## Public Member Functions
| DotWriter (std::ostream &os)
| ~DotWriter ()
void | showNode (Player turn, const SimpleHashRecord *record, int limit, NodeType type) const
void | showNodeQuiescence (Player turn, const SimpleHashRecord *record, int limit, NodeType type) const
void | showArc (const SimpleHashRecord *from, const SimpleHashRecord *to, const MoveLogProb &move, bool important) const
void | showComment (const char *line) const
Public Member Functions inherited from osl::search::analyzer::LogWriter
| LogWriter ()
virtual | ~LogWriter ()

## Private Attributes
boost::scoped_ptr< RecordSet > | written
| 既に書いたノードを保存. More...
std::ostream & | os

## Additional Inherited Members
Public Types inherited from osl::search::analyzer::LogWriter
enum | NodeType { NORMAL =0, IMPORTANT =1, ABNORMAL =2 }

## Detailed Description

探索ログ dot (www.graphviz.org) 用を書き出す.

Definition at line 25 of file dotWriter.h.

## Constructor & Destructor Documentation

osl::search::analyzer::DotWriter::DotWriter | ( | std::ostream & | os) |  |
| explicit

Definition at line 15 of file dotWriter.cc.

References os.

osl::search::analyzer::DotWriter::~DotWriter | ( | ) |  |

Definition at line 22 of file dotWriter.cc.

## Member Function Documentation

void osl::search::analyzer::DotWriter::showArc | ( | const SimpleHashRecord * | from,
|  | const SimpleHashRecord * | to,
|  | const MoveLogProb & | move,
|  | bool | important
| ) |  | const
| virtual

Implements osl::search::analyzer::LogWriter.

Definition at line 161 of file dotWriter.cc.

References osl::csaShow(), osl::MoveLogProb::logProb(), and osl::MoveLogProb::move().

void osl::search::analyzer::DotWriter::showComment | ( | const char * | line) |  | const
| virtual

Reimplemented from osl::search::analyzer::LogWriter.

Definition at line 28 of file dotWriter.cc.

void osl::search::analyzer::DotWriter::showNode | ( | Player | turn,
|  | const SimpleHashRecord * | record,
|  | int | limit,
|  | NodeType | type
| ) |  | const
| virtual

Parameters

  important | ユーザが指定した読筋を指定する場合 true

Implements osl::search::analyzer::LogWriter.

Definition at line 34 of file dotWriter.cc.

References osl::search::SimpleHashRecord::bestMove(), osl::BLACK, osl::csaShow(), osl::search::SimpleHashRecord::lowerBound(), osl::search::SimpleHashRecord::lowerLimit(), osl::MoveLogProb::move(), osl::search::SimpleHashRecord::upperBound(), and osl::search::SimpleHashRecord::upperLimit().

void osl::search::analyzer::DotWriter::showNodeQuiescence | ( | Player | turn,
|  | const SimpleHashRecord * | record,
|  | int | limit,
|  | NodeType | type
| ) |  | const
| virtual

Implements osl::search::analyzer::LogWriter.

Definition at line 99 of file dotWriter.cc.

References osl::BLACK, osl::search::QuiescenceRecord::lowerBound(), osl::search::QuiescenceRecord::lowerDepth(), osl::search::SimpleHashRecord::qrecord, osl::search::QuiescenceRecord::upperBound(), and osl::search::QuiescenceRecord::upperDepth().

## Member Data Documentation

std::ostream& osl::search::analyzer::DotWriter::os
| private

Definition at line 32 of file dotWriter.h.

Referenced by DotWriter().

boost::scoped_ptr<RecordSet> osl::search::analyzer::DotWriter::written
| private

既に書いたノードを保存.

CAVEAT: from, と to を両方書くと from -> to のエッジも書かない

Definition at line 31 of file dotWriter.h.

The documentation for this class was generated from the following files:

- dotWriter.h
- dotWriter.cc